> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/chord-oms/developer-tools.md).

# Developer Tools

- [React](https://docs.chord.co/chord-oms/developer-tools/react.md)
- [Quick Start](https://docs.chord.co/chord-oms/developer-tools/react/quick-start.md)
- [Release Notes](https://docs.chord.co/chord-oms/developer-tools/react/release-notes.md)
- [Next.js](https://docs.chord.co/chord-oms/developer-tools/next-js.md)
- [Quick Start](https://docs.chord.co/chord-oms/developer-tools/next-js/quick-start.md)
- [Developing](https://docs.chord.co/chord-oms/developer-tools/next-js/developing.md)
- [SDK Reference](https://docs.chord.co/chord-oms/developer-tools/next-js/sdk-reference.md)
- [useAnalytics](https://docs.chord.co/chord-oms/developer-tools/next-js/sdk-reference/useanalytics.md)
- [useAuth](https://docs.chord.co/chord-oms/developer-tools/next-js/sdk-reference/useauth.md)
- [useCart](https://docs.chord.co/chord-oms/developer-tools/next-js/sdk-reference/usecart.md)
- [useProduct](https://docs.chord.co/chord-oms/developer-tools/next-js/sdk-reference/useproduct.md)
- [useSubscription](https://docs.chord.co/chord-oms/developer-tools/next-js/sdk-reference/usesubscription.md)
- [useSubscriptions](https://docs.chord.co/chord-oms/developer-tools/next-js/sdk-reference/usesubscriptions.md)
- [useSquareCheckout](https://docs.chord.co/chord-oms/developer-tools/next-js/sdk-reference/usesquarecheckout.md)
- [useTranslate](https://docs.chord.co/chord-oms/developer-tools/next-js/sdk-reference/usetranslate.md)
- [useUser](https://docs.chord.co/chord-oms/developer-tools/next-js/sdk-reference/useuser.md)
- [Guides](https://docs.chord.co/chord-oms/developer-tools/next-js/guides.md)
- [Installing Segment's Consent Manager in Next.js](https://docs.chord.co/chord-oms/developer-tools/next-js/guides/installing-segments-consent-manager-in-next-js.md)
- [React SDK Migration Guide](https://docs.chord.co/chord-oms/developer-tools/next-js/guides/react-sdk-migration-guide.md)
- [Gatsby](https://docs.chord.co/chord-oms/developer-tools/gatsby.md)
- [Quick Start](https://docs.chord.co/chord-oms/developer-tools/gatsby/quick-start.md)
- [Developing](https://docs.chord.co/chord-oms/developer-tools/gatsby/developing.md)
- [SDK Reference 3.x](https://docs.chord.co/chord-oms/developer-tools/gatsby/sdk-reference-3-x.md)
- [SDK Reference 4.x](https://docs.chord.co/chord-oms/developer-tools/gatsby/sdk-reference-4-x.md)
- [useTranslate](https://docs.chord.co/chord-oms/developer-tools/gatsby/sdk-reference-4-x/usetranslate.md)
- [Release Notes](https://docs.chord.co/chord-oms/developer-tools/gatsby/release-notes.md)
- [Guides](https://docs.chord.co/chord-oms/developer-tools/gatsby/guides.md)
- [v1.2.7 to v2.0.0 Migration Guide](https://docs.chord.co/chord-oms/developer-tools/gatsby/guides/v1-2-7-to-v2-0-0-migration-guide.md)
- [v3.x to v4.x Migration Guide](https://docs.chord.co/chord-oms/developer-tools/gatsby/guides/v3-x-to-v4-x-migration-guide.md)
- [Authentication](https://docs.chord.co/chord-oms/developer-tools/authentication.md)
- [Chord Platform and Google OAuth Integration](https://docs.chord.co/chord-oms/developer-tools/authentication/chord-platform-and-google-oauth-integration.md)
- [Chord Platform and Okta SSO Integration](https://docs.chord.co/chord-oms/developer-tools/authentication/chord-platform-and-okta-sso-integration-cloned.md)
- [Magic](https://docs.chord.co/chord-oms/developer-tools/authentication/magic.md)
- [Magic Migration Guide](https://docs.chord.co/chord-oms/developer-tools/authentication/magic/magic-migration-guide.md)
- [Stytch](https://docs.chord.co/chord-oms/developer-tools/authentication/stytch.md)
- [Stytch Account Setup](https://docs.chord.co/chord-oms/developer-tools/authentication/stytch/stytch-account-setup.md)
- [Stytch Migration Guides](https://docs.chord.co/chord-oms/developer-tools/authentication/stytch/stytch-migration-guides.md)
- [Next.js ↔️ Stytch Migration Guide](https://docs.chord.co/chord-oms/developer-tools/authentication/stytch/stytch-migration-guides/next-js-stytch-migration-guide.md)
- [Gatsby ↔️ Stytch Migration Guide](https://docs.chord.co/chord-oms/developer-tools/authentication/stytch/stytch-migration-guides/gatsby-stytch-migration-guide.md)
- [Developer Guides](https://docs.chord.co/chord-oms/developer-tools/developer-guides.md)
- [Pricing API](https://docs.chord.co/chord-oms/developer-tools/developer-guides/pricing-api.md)
- [npm Access for @chordcommerce Packages](https://docs.chord.co/chord-oms/developer-tools/developer-guides/npm-access-for-chordcommerce-packages.md)
- [URL Trailing Slashes](https://docs.chord.co/chord-oms/developer-tools/developer-guides/url-trailing-slashes.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/chord-oms/developer-tools.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
